Name:           statusnotifier
Version:        1.0.0
Release:        1%{?dist}
Summary:        Library for using StatusNotifierItem in GObject

License:        GPLv3+
URL:            https://jjacky.com/statusnotifier/
Source0:        https://jjacky.com/statusnotifier/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(dbusmenu-glib-0.4)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:  %{_bindir}/xsltproc

%description
This little library allows to easily create a GObject to manage a
StatusNotifierItem, handling all the DBus interface and letting you
simply deal with the object's properties and signals.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Development documentation for %{name}
Supplements:    %{name}-devel
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for developing
applications that use %{name}.

%prep
%autosetup


%build

%configure --disable-static --enable-dbusmenu
%make_build


%install
%make_install

# Drop libtool archive files
find %{buildroot} -name '*.la' -delete

%ldconfig_scriptlets


%files
%license COPYING
%doc AUTHORS
%{_libdir}/libstatusnotifier.so.*
%{_libdir}/girepository-1.0/StatusNotifier-1.0.typelib

%files devel
%doc example/sn-example.c
%{_libdir}/libstatusnotifier.so
%{_libdir}/pkgconfig/statusnotifier.pc
%{_includedir}/statusnotifier*.h
%{_datadir}/gir-1.0/StatusNotifier-1.0.gir

%files doc
%license COPYING
%{_datadir}/gtk-doc/html/statusnotifier/

%changelog
* Sat Apr 21 2018 Neal Gompa <ngompa13@gmail.com> - 1.0.0-1
- Initial packaging
